Get Team Member Collaborators

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches the list of all team members and groups with whom the user has shared files and folders.

Endpoints

OAuth Scope

WorkDrive.users.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/users/{team_member_id}/collaborators \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

team_member_idstring(Required)

The unique ID of the team member that is created when a member is added into a team.

Query Parameters

Note:

Query parameter name should be URL encoded with UTF-8 Charset. For more info, refer here

filter[sharedtype]string(Optional)

Allowed value "sharetome".

This fetches all users who have shared files with this member.

Allowed Values :
Show Values
sharetomeCopied!
Copied!Copy all as JSON Array

Response Example

R008

F000

200
200
401
500
Copied!
  {
    "data": [
      {
        "id": "747938058",
        "type": "collaborators",
        "attributes": {
          "email_id": "reyansh.ahuja@zylker.com",
          "avatar_url": "https://contacts.zoho.com/file?t=user&ID=747938058&fs=thumb",
          "name": "Zylker Creation",
          "type": 3
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/collaborators/747938058"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General Exception"
      }
    ]
  }
                
Show full